View Issue Details

IDProjectCategoryView StatusLast Update
0003589SketcherBugpublic2018-10-08 13:20
ReporterchrisbAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.18Fixed in Version0.18 
Summary0003589: Fully constrained Sketch becomes overconstrained on deletion of an element
DescriptionPlease have a look at this fully constrained model from a [url=https://forum.freecadweb.org/viewtopic.php?f=13&t=30801&p=255494#p255480]forum post[/url]. There is construction line marked and if I delete it, the Sketch becomes overconstrained. In the [url=https://forum.freecadweb.org/viewtopic.php?f=13&t=30801&p=255494#p255492]subsequent post[/url] I have removed one by one further elements until there were only two left. One of the angle constraints seems to point to nowhere.
This might be related to issue 3529

It might be the same situation as in [url=https://forum.freecadweb.org/viewtopic.php?f=3&t=29889&p=257568#p245890]forum post[/url].

OS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14561 (Git)
Build type: Release
Branch: (HEAD detached at 599e590)
Hash: 599e59059b6ffce969c51f77380ba7938eba205f
Python version: 2.7.15
Qt version: 5.11.1
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: German/Germany (de_DE)
TagsNo tags attached.

Activities

ulrich1a

2018-10-07 13:28

reporter   ~0011957

The radial construction line has an angle constraint. Deleting the radial construction line does not delete the angle constraint.

Simple test: Draw two lines with the polyline tool. The connection point should be coincident with the sketch origin. Constrain the two lines with an angle. Now delete one line. The angle constraint is not deleted, but constrains to an axis now.

abdullah

2018-10-08 12:29

manager   ~0011962

Exactly Ulrich!

Angle constraints shall not be transfered, as it is only very exceptionally that it is possible at all.

https://github.com/FreeCAD/FreeCAD/pull/1718

wmayer

2018-10-08 13:20

administrator   ~0011965

https://github.com/FreeCAD/FreeCAD/commit/e66849378bd03373c1c0d7c754bf78db85e2aff1

Issue History

Date Modified Username Field Change
2018-09-10 14:20 chrisb New Issue
2018-09-21 13:30 chrisb Description Updated View Revisions
2018-09-24 17:39 abdullah Assigned To => abdullah
2018-09-24 17:39 abdullah Status new => assigned
2018-10-06 15:36 abdullah Target Version => 0.18
2018-10-07 13:28 ulrich1a Note Added: 0011957
2018-10-08 12:29 abdullah Note Added: 0011962
2018-10-08 13:19 wmayer Project GCS => Sketcher
2018-10-08 13:19 wmayer Category General => Bug
2018-10-08 13:20 wmayer Status assigned => closed
2018-10-08 13:20 wmayer Resolution open => fixed
2018-10-08 13:20 wmayer Fixed in Version => 0.18
2018-10-08 13:20 wmayer Note Added: 0011965